Public Class ListPrinter

    Private Sub btnList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnList.Click
        Dim PrinterName As String
        TextBox1.Text = ""

        For Each PrinterName In System.Drawing.Printing.PrinterSettings.InstalledPrinters()
            TextBox1.AppendText(PrinterName)
            TextBox1.AppendText(vbCrLf)
        Next

    End Sub
End Class
